> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Account to List



## OpenAPI

````yaml ../list-openapi.json POST /list/{list_name}/account/{account_id}
openapi: 3.0.1
info:
  title: Verisoul API
  description: The Verisoul API is used to integrate Verisoul into your application.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.verisoul.ai
security:
  - apiKeyAuth: []
paths:
  /list/{list_name}/account/{account_id}:
    post:
      description: Adds an account to a specific list
      parameters:
        - name: list_name
          in: path
          description: Name of the list to add the account to
          required: true
          schema:
            type: string
        - name: account_id
          in: path
          description: ID of the account to add to the list
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Account added to list response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddAccountToListResponse'
              example:
                request_id: d4b6b99f-f2ad-458e-bfc4-7b4c81e3ac36
                message: Account added to us_users
                success: true
        '400':
          description: Account or list not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateListError'
              example:
                message: Account not found.
                statusCode: 400
components:
  schemas:
    AddAccountToListResponse:
      type: object
      properties:
        request_id:
          type: string
          description: The ID of the request
        message:
          type: string
          description: Success message
        success:
          type: boolean
          description: Whether the operation was successful
    CreateListError:
      type: object
      properties:
        message:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: HTTP status code
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````